client.stub.irepositorytac

## Class FaultDetail

- java.lang.Object
- - client.stub.irepositorytac.FaultDetail

-     public class FaultDetail
      extends Object

  Classe Java per FaultDetail complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="FaultDetail">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="errorCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="errorMessage" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `errorCode`
    `protected String` | `errorMessage`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FaultDetail()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getErrorCode()` Recupera il valore della proprietà errorCode.
    `String` | `getErrorMessage()` Recupera il valore della proprietà errorMessage.
    `void` | `setErrorCode(String value)` Imposta il valore della proprietà errorCode.
    `void` | `setErrorMessage(String value)` Imposta il valore della proprietà errorMessage.
    `String` | `toString()` Generates a String representation of the contents of this type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### errorCode

          protected String errorCode

    - #### errorMessage

          protected String errorMessage

  - ### Constructor Detail

    - #### FaultDetail

          public FaultDetail()

  - ### Method Detail

    - #### getErrorCode

          public String getErrorCode()

      Recupera il valore della proprietà errorCode.
      Returns:
        possible object is `String`

    - #### setErrorCode

          public void setErrorCode(String value)

      Imposta il valore della proprietà errorCode.
      Parameters:
        `value` - allowed object is `String`

    - #### getErrorMessage

          public String getErrorMessage()

      Recupera il valore della proprietà errorMessage.
      Returns:
        possible object is `String`

    - #### setErrorMessage

          public void setErrorMessage(String value)

      Imposta il valore della proprietà errorMessage.
      Parameters:
        `value` - allowed object is `String`

    - #### toString

          public String toString()

      Generates a String representation of the contents of this type. This is an extension method, produced by the 'ts' xjc plugin
      Overrides:
        `toString` in class `Object`

Copyright © 2024. All rights reserved.